print "got here 1";
print "got here 2";
fact( n ) = if n <= 0 then 1 else n * fact( n - 1 ) fi;

a = 4;
b = 5;
plus1( a ) = a + 1;
plusA( x ) = x + a;
print "plusA( 5 ) = ", plusA( 5 );
plusB( a ) = a + b;
print "plusB( b ) = ", plusB( b );

plus2( a ) = plus1( plus1( a ) );
diff( a, b ) = a - b;
abs( a ) = if a > 0 then a else - a fi;
absdiff( a, b ) = abs( diff( a, b ) );
print "absdiff = ", absdiff( 20, 30 );
print "absdiff = ", absdiff( 30, 20 );
print "factorial = ", fact( 1 ), ", ", fact( 2 ), ", ", 
	fact( 3 ), ", ", fact( 4 ), ", ", fact( 5 );
print if 1 < 2 and 2 < 3 and ( 1 > 2 or not ( 4 > 5 ) ) then "happiness" else "sadness" fi;
print 1 < 2;
print "text \101\102\103\104 should give ABCD";
print "text \x41\x42\x43\x44 should give ABCD";
